TIMES(2)

NAME
times - get process times

SYNOPSIS
#include <sys/times.h>

clock_t times(struct tms *buf);

DESCRIPTION
times stores the current process times in buf. struct tms is as defined in /usr/include/sys/times.h:

struct  tms  {
clock_t tms_utime;  /* user time */
clock_t tms_stime;  /* system time */
clock_t tms_cutime; /* user time of children */
clock_t tms_cstime; /* system time of children */
};

times returns the number of clock ticks that have elapsed since the system has been up.

CONFORMING TO
SVr4, SVID, POSIX, X/OPEN, BSD 4.3

SEE ALSO
time(1), getrusage(2), wait(2)